# Uses of Class
org.apache.avro.io.parsing.Parser

Packages that use Parser
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.io.parsing
Implementation of Avro schemas as LL(1) grammars.

## Uses of Parser in org.apache.avro.io

Fields in org.apache.avro.io declared as Parser
Modifier and Type
Field
Description
`protected final Parser`
ValidatingEncoder.`parser`

## Uses of Parser in org.apache.avro.io.parsing

Subclasses of Parser in org.apache.avro.io.parsing
Modifier and Type
Class
Description
`class`
`SkipParser`
A parser that capable of skipping as well read and write.